package cn.com.countrygarden.bi.main.service.ck;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerFieldConfigQuery;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerFieldConfigVo;
import cn.com.countrygarden.bi.main.dto.ck.CkCleanerVo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.ck.CkCleanerFieldConfig;

import java.util.List;

/**
 * 字段配置表-业务逻辑层
 *
 * @author 木木子
 * @email 944528607@qq.com
 * @url 
 * @date 2020-04-13
 */
public interface CkCleanerFieldConfigService {

    Result queryPageList(CkCleanerFieldConfigQuery query);

    Result queryById(Integer id);

    Result addOrEdit(CkCleanerFieldConfig ckCleanerFieldConfig, AccessToken accessToken);


    Result del(Integer id, AccessToken accessToken);

    List<CkCleanerFieldConfigVo> optionList(CkCleanerVo query);

    Result statusEdit(Integer id, Integer status, AccessToken accessToken);
}